/*
    This is the second of three compilation units that make up a simple C program.

    This file exports a global variable and a function and it imports a local (static)
    variable and a function.
*/
#include <stdio.h>

// export (i.e., define) this global variable
int sleepTime = 5;

// import an externally defined function
extern int g(int);

// export (i.e., define) this function
int f(int x)
{
   // import an externally defined (static) local variable
   extern int y;

   printf("in compilation unit 2, the address of sleepTime is %#.8x\n", sleepTime);
   printf("in compilation unit 2, the address of y is %#.8x\n", &y);

   return g(x);
}
